import mongodb = require('mongodb');
import { IMongoDefinition } from '../../types/types';
/**
 * @description It keeps MongoDb connection in RAM.
 *
 * @export
 * @param {IMongoDefinition} config  Configuration to mongo
 * @param {((
 *         err: Error | undefined,
 *         collection: mongodb.Collection | undefined
 *     ) => void)} cb Callback function with error and db.
 */
export default function getMongoDb(config: IMongoDefinition, cb: (err: Error | undefined, collection: mongodb.Collection | undefined) => void): void;
/**
 * @description Close MongoDb connection
 * @export
 * @param {() => void} cb
 */
export declare function closeMongoDb(cb: () => void): void;
